﻿Imports GrapeCity.Windows.SpreadSheet.UI
Imports GrapeCity.Windows.SpreadSheet.Data

Partial Public Class MainPage
    Inherits UserControl

    Public Sub New()
        InitializeComponent()
        Me.gcSpreadSheet1.Sheets.Clear()
        Me.gcSpreadSheet1.Sheets.Add(New MyWorksheet())
        Dim sheet = Me.gcSpreadSheet1.ActiveSheet
        sheet.Rows(0).Height = 80
    End Sub

    Private Sub UserControl_Loaded(sender As System.Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded

    End Sub

End Class
Public Class ControlDrawingObject
    Inherits CustomDrawingObject
    Private _rootElement As Control
    Public Sub New(row As Integer, col As Integer, control As Control)
        MyBase.New(row, col)
        _rootElement = control
        Me.ShowDrawingObjectOnly = True
    End Sub
    Public Overrides ReadOnly Property RootElement() As FrameworkElement
        Get
            _rootElement.Margin = New Thickness(1)
            Return _rootElement
        End Get
    End Property
End Class

Public Class MyWorksheet
    Inherits Worksheet
    Public Property DrawingObjectVisible() As Boolean
        Get
            Return m_DrawingObjectVisible
        End Get
        Set(value As Boolean)
            m_DrawingObjectVisible = value
        End Set
    End Property
    Private m_DrawingObjectVisible As Boolean
    Public Overrides Function GetDrawingObject(row As Integer, column As Integer, rowCount As Integer, columnCount As Integer) As DrawingObject()
        If row <> 0 OrElse column <> 0 Then
            Return MyBase.GetDrawingObject(row, column, rowCount, columnCount)
        End If
        Dim drawobj As DrawingObject
        Dim mylist As New ListBox()
        mylist.ItemsSource = New [String]() {"One", "Two", "Three", "Four"}
        mylist.SelectionMode = SelectionMode.[Single]
        drawobj = New ControlDrawingObject(row, column, mylist)
        Return New DrawingObject() {drawobj}
    End Function

End Class
